Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DOM/dtatsd.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DOM/dtatsd.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DOM/dtatsd.F90	(revision 11782)
@@ -71,5 +71,5 @@
       READ  ( numnam_cfg, namtsd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtsd in configuration namelist' )
-      IF(lwm) WRITE ( numond, namtsd )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtsd )
 
       IF( PRESENT( ld_tradmp ) )   ln_tsd_dmp = .TRUE.     ! forces the initialization when tradmp is used
@@ -243,5 +243,5 @@
       IF( .NOT.ln_tsd_dmp ) THEN                   !==   deallocate T & S structure   ==! 
          !                                              (data used only for initialisation)
-         IF(lwp) WRITE(numout,*) 'dta_tsd: deallocte T & S arrays as they are only use to initialize the run'
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) 'dta_tsd: deallocte T & S arrays as they are only use to initialize the run'
                                         DEALLOCATE( sf_tsd(jp_tem)%fnow )     ! T arrays in the structure
          IF( sf_tsd(jp_tem)%ln_tint )   DEALLOCATE( sf_tsd(jp_tem)%fdta )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DOM/iscplini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DOM/iscplini.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DOM/iscplini.F90	(revision 11782)
@@ -68,5 +68,5 @@
       READ  ( numnam_cfg, namsbc_iscpl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_iscpl in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_iscpl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_iscpl )
       !
       nstp_iscpl=MIN( nn_fiscpl, nitend-nit000+1 ) ! the coupling period have to be less or egal than the total number of time step
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynadv.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynadv.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynadv.F90	(revision 11782)
@@ -110,5 +110,5 @@
       READ  ( numnam_cfg, namdyn_adv, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_adv in configuration namelist' )
-      IF(lwm) WRITE ( numond, namdyn_adv )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_adv )
 
       IF(lwp) THEN                    ! Namelist print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynhpg.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynhpg.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynhpg.F90	(revision 11782)
@@ -157,5 +157,5 @@
       READ  ( numnam_cfg, namdyn_hpg, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_hpg in configuration namelist' )
-      IF(lwm) WRITE ( numond, namdyn_hpg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_hpg )
       !
       IF(lwp) THEN                   ! Control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynspg.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynspg.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynspg.F90	(revision 11782)
@@ -207,5 +207,5 @@
       READ  ( numnam_cfg, namdyn_spg, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_spg in configuration namelist' )
-      IF(lwm) WRITE ( numond, namdyn_spg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_spg )
       !
       IF(lwp) THEN             ! Namelist print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynspg_ts.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynspg_ts.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynspg_ts.F90	(revision 11782)
@@ -969,5 +969,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- ts_rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- ts_rst ----'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'ub2_b'   , ub2_b  (:,:), ldxios = lwxios )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynvor.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynvor.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/dynvor.F90	(revision 11782)
@@ -855,5 +855,5 @@
       READ  ( numnam_cfg, namdyn_vor, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_vor in configuration namelist' )
-      IF(lwm) WRITE ( numond, namdyn_vor )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_vor )
       !
       IF(lwp) THEN                    ! Namelist print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/wet_dry.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/wet_dry.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/DYN/wet_dry.F90	(revision 11782)
@@ -85,5 +85,5 @@
       READ  ( numnam_cfg, namwad, IOSTAT = ios, ERR = 906)
 906   IF( ios >  0 )   CALL ctl_nam ( ios , 'namwad in configuration namelist' )
-      IF(lwm) WRITE ( numond, namwad )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namwad )
       !
       IF( rn_wd_sbcfra>=1 )   CALL ctl_stop( 'STOP', 'rn_wd_sbcfra >=1 : must be < 1' )
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/FLO/floats.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/FLO/floats.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/FLO/floats.F90	(revision 11782)
@@ -93,5 +93,5 @@
       READ  ( numnam_cfg, namflo, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namflo in configuration namelist' )
-      IF(lwm) WRITE ( numond, namflo )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namflo )
       !
       IF(lwp) THEN                  ! control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbini.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbini.F90	(revision 11782)
@@ -410,5 +410,5 @@
       READ  ( numnam_cfg, namberg, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist' )
-      IF(lwm) WRITE ( numond, namberg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namberg )
       !
       IF(lwp) WRITE(numout,*)
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbrst.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbrst.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbrst.F90	(revision 11782)
@@ -211,5 +211,5 @@
             WRITE(cl_filename,'(A,"_icebergs_",I8.8,"_restart.nc")') TRIM(cexper), kt
          ENDIF
-         IF ( lwp .AND. nn_verbose_level >= 0) WRITE(numout,'(2a)') 'icebergs, write_restart: creating ',  &
+         IF ( lwp .AND. nprint > 0) WRITE(numout,'(2a)') 'icebergs, write_restart: creating ',  &
            &                                                         TRIM(cl_path)//TRIM(cl_filename)
    
@@ -346,5 +346,5 @@
             ENDIF
          ENDDO
-         IF( lwp ) WRITE(numout,*) 'file: ',TRIM(cl_path)//TRIM(cl_filename),' var: stored_ice  written'
+         IF( lwp .AND. nprint > 0 ) WRITE(numout,*) 'file: ',TRIM(cl_path)//TRIM(cl_filename),' var: stored_ice  written'
    
          nret = NF90_PUT_VAR( ncid, nkountid, num_bergs(:) )
@@ -353,5 +353,5 @@
          nret = NF90_PUT_VAR( ncid, nsheatid, berg_grid%stored_heat(:,:) )
          IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var stored_heat failed')
-         IF( lwp ) WRITE(numout,*) 'file: ',TRIM(cl_path)//TRIM(cl_filename),' var: stored_heat written'
+         IF( lwp .AND. nprint > 0 ) WRITE(numout,*) 'file: ',TRIM(cl_path)//TRIM(cl_filename),' var: stored_heat written'
    
          nret = NF90_PUT_VAR( ncid, ncalvid , src_calving(:,:) )
@@ -359,5 +359,5 @@
          nret = NF90_PUT_VAR( ncid, ncalvhid, src_calving_hflx(:,:) )
          IF (nret .ne. NF90_NOERR) CALL ctl_stop('icebergs, write_restart: nf_put_var calving_hflx failed')
-         IF( lwp ) WRITE(numout,*) 'file: ',TRIM(cl_path)//TRIM(cl_filename),' var: calving written'
+         IF( lwp .AND. nprint > 0 ) WRITE(numout,*) 'file: ',TRIM(cl_path)//TRIM(cl_filename),' var: calving written'
    
          IF ( ASSOCIATED(first_berg) ) THEN
@@ -401,10 +401,10 @@
          ! Sanity check
          jn = icb_utl_count()
-         IF ( lwp .AND. nn_verbose_level >= 0)   &
+         IF ( lwp .AND. nprint > 0)   &
             WRITE(numout,'(2(a,i5))') 'icebergs, icb_rst_write: # bergs =',jn,' on PE',narea-1
          IF( lk_mpp ) THEN
             CALL mpp_sum('icbrst', jn)
          ENDIF
-         IF(lwp)   WRITE(numout,'(a,i5,a,i5,a)') 'icebergs, icb_rst_write: ', jn,   &
+         IF(lwp .AND. nprint > 0)   WRITE(numout,'(a,i5,a,i5,a)') 'icebergs, icb_rst_write: ', jn,   &
             &                                    ' bergs in total have been written at timestep ', kt
          !
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbstp.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbstp.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbstp.F90	(revision 11782)
@@ -161,5 +161,5 @@
       IF( nn_sample_rate > 0 )   CALL icb_trj_end()
 
-      IF(lwp) WRITE(numout,'(a,i6)') 'icebergs: icb_end complete', narea
+      IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i6)') 'icebergs: icb_end complete', narea
       !
       IF( nn_verbose_level > 0 ) THEN
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbtrj.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbtrj.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/ICB/icbtrj.F90	(revision 11782)
@@ -85,5 +85,5 @@
          &                        TRIM(ADJUSTL(cldate_ini)), TRIM(ADJUSTL(cldate_end))
       ENDIF
-      IF( lwp .AND. nn_verbose_level >= 0 )   WRITE(numout,'(2a)') 'icebergs, icb_trj_init: creating ',TRIM(cl_filename)
+      IF( lwp .AND. nprint > 0 )   WRITE(numout,'(2a)') 'icebergs, icb_trj_init: creating ',TRIM(cl_filename)
 
       iret = NF90_CREATE( TRIM(cl_filename), NF90_CLOBBER, ntrajid )
@@ -248,5 +248,5 @@
          this => this%next
       END DO
-      IF( lwp .AND. nn_verbose_level > 0 )   WRITE(numout,*) 'trajectory write to frame ', jn
+      IF( lwp .AND. nprint > 0 )   WRITE(numout,*) 'trajectory write to frame ', jn
       num_traj = jn
       !
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/iom.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/iom.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/iom.F90	(revision 11782)
@@ -318,5 +318,5 @@
         ENDIF
 !set name of the restart file and enable available fields
-        if(lwp) WRITE(numout,*) 'Setting restart filename (for XIOS) to: ',rst_file
+        if(lwp .AND. nprint > 1) WRITE(numout,*) 'Setting restart filename (for XIOS) to: ',rst_file
         CALL xios_get_handle("file_definition", filegroup_hdl )
         CALL xios_add_child(filegroup_hdl, file_hdl, 'rrestart')
@@ -343,5 +343,5 @@
                         scalar_ref = "grid_scalar", operation = "instant")
                 END SELECT
-                IF(lwp) WRITE(numout,*) 'XIOS read: ', TRIM(rst_rfields(i)%vname), ' enabled in ', TRIM(rst_file)
+                IF(lwp .AND. nprint > 1) WRITE(numout,*) 'XIOS read: ', TRIM(rst_rfields(i)%vname), ' enabled in ', TRIM(rst_file)
            ENDIF
          ENDIF
@@ -534,5 +534,5 @@
 
 !set name of the restart file and enable available fields
-        IF(lwp) WRITE(numout,*) 'Setting restart filename (for XIOS write) to: ',cdrst_file
+        IF(lwp .AND. nprint > 1) WRITE(numout,*) 'Setting restart filename (for XIOS write) to: ',cdrst_file
         CALL xios_get_handle("file_definition", filegroup_hdl )
         CALL xios_add_child(filegroup_hdl, file_hdl, 'wrestart')
@@ -540,9 +540,9 @@
            CALL xios_set_file_attr( "wrestart", type="one_file", enabled=.TRUE.,& 
                                     mode="write", output_freq=xios_timestep) 
-           if(lwp) write(numout,*) 'OPEN ', trim(cdrst_file), ' in one_file mode' 
+           if(lwp .AND. nprint > 1) write(numout,*) 'OPEN ', trim(cdrst_file), ' in one_file mode' 
         ELSE  
            CALL xios_set_file_attr( "wrestart", type="multiple_file", enabled=.TRUE.,& 
                                     mode="write", output_freq=xios_timestep) 
-           if(lwp) write(numout,*) 'OPEN ', trim(cdrst_file), ' in multiple_file mode' 
+           if(lwp .AND. nprint > 1) write(numout,*) 'OPEN ', trim(cdrst_file), ' in multiple_file mode' 
         ENDIF 
         CALL xios_set_file_attr( "wrestart", name=trim(cdrst_file))
@@ -822,5 +822,5 @@
                iom_file(jf)%nfid       = 0          ! free the id 
                IF( PRESENT(kiomid) )   kiomid = 0   ! return 0 as id to specify that the file was closed
-               IF(lwp) WRITE(numout,*) TRIM(clinfo)//' close file: '//TRIM(iom_file(jf)%name)//' ok'
+               IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' close file: '//TRIM(iom_file(jf)%name)//' ok'
             ELSEIF( PRESENT(kiomid) ) THEN
                WRITE(ctmp1,*) '--->',  kiomid
@@ -941,5 +941,5 @@
       ELSE
 #if defined key_iomput
-         IF(lwp) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
          CALL iom_swap( TRIM(crxios_context) )
          CALL xios_recv_field( trim(cdvar), pvar)
@@ -1266,5 +1266,5 @@
 
             IF( istop == nstop ) THEN   ! no additional errors until this point...
-               IF(lwp) WRITE(numout,"(10x,' read ',a,' (rec: ',i6,') in ',a,' ok')") TRIM(cdvar), itime, TRIM(iom_file(kiomid)%name)
+               IF(lwp .AND. nprint > 1) WRITE(numout,"(10x,' read ',a,' (rec: ',i6,') in ',a,' ok')") TRIM(cdvar), itime, TRIM(iom_file(kiomid)%name)
              
                !--- overlap areas and extra hallows (mpp)
@@ -1296,5 +1296,5 @@
          IF( PRESENT(pv_r3d) ) THEN
             pv_r3d(:, :, :) = 0.
-            if(lwp) write(numout,*) 'XIOS RST READ (3D): ',trim(cdvar)
+            if(lwp .AND. nprint > 1) write(numout,*) 'XIOS RST READ (3D): ',trim(cdvar)
             CALL xios_recv_field( trim(cdvar), pv_r3d)
             IF(idom /= jpdom_unknown ) then
@@ -1303,5 +1303,5 @@
          ELSEIF( PRESENT(pv_r2d) ) THEN
             pv_r2d(:, :) = 0.
-            if(lwp) write(numout,*) 'XIOS RST READ (2D): ', trim(cdvar)
+            if(lwp .AND. nprint > 1) write(numout,*) 'XIOS RST READ (2D): ', trim(cdvar)
             CALL xios_recv_field( trim(cdvar), pv_r2d)
             IF(idom /= jpdom_unknown ) THEN
@@ -1310,5 +1310,5 @@
          ELSEIF( PRESENT(pv_r1d) ) THEN
             pv_r1d(:) = 0.
-            if(lwp) write(numout,*) 'XIOS RST READ (1D): ', trim(cdvar)
+            if(lwp .AND. nprint > 1) write(numout,*) 'XIOS RST READ (1D): ', trim(cdvar)
             CALL xios_recv_field( trim(cdvar), pv_r1d)
          ENDIF
@@ -1512,5 +1512,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-          IF(lwp) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
+          IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
           CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
@@ -1542,5 +1542,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-         IF(lwp) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
+         IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
          CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
@@ -1572,5 +1572,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-         IF(lwp) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
+         IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
          CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
@@ -1602,5 +1602,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-         IF(lwp) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
+         IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
          CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/iom_nf90.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/iom_nf90.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/iom_nf90.F90	(revision 11782)
@@ -88,5 +88,5 @@
          !                                       !=========================!
          IF( ldwrt ) THEN  ! ... in write mode
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in WRITE mode'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in WRITE mode'
             IF( snc4set%luse ) THEN
                CALL iom_nf90_check(NF90_OPEN( TRIM(cdname), NF90_WRITE  , if90id ), clinfo)
@@ -96,5 +96,5 @@
             CALL iom_nf90_check(NF90_SET_FILL( if90id, NF90_NOFILL, idmy                          ), clinfo)
          ELSE              ! ... in read mode
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in READ mode'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in READ mode'
             CALL iom_nf90_check(NF90_OPEN( TRIM(cdname), NF90_NOWRITE, if90id, chunksize = ichunk ), clinfo)
          ENDIF
@@ -107,5 +107,5 @@
                cdname = TRIM(cltmp)
             ENDIF
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
 
             IF( llclobber ) THEN   ;   imode = IOR( NF90_64BIT_OFFSET, NF90_CLOBBER   )
@@ -113,5 +113,5 @@
             ENDIF
             IF( snc4set%luse ) THEN
-               IF(lwp) WRITE(numout,*) TRIM(clinfo)//' creating file: '//TRIM(cdname)//' in hdf5 (netcdf4) mode'
+               IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' creating file: '//TRIM(cdname)//' in hdf5 (netcdf4) mode'
                CALL GET_NF90_SYMBOL("NF90_HDF5", ihdf5)
                IF( llclobber ) THEN   ;   imode = IOR(ihdf5, NF90_CLOBBER)
@@ -165,5 +165,5 @@
                &                                       len  = iom_file(kiomid)%lenuld ), clinfo )
          ENDIF
-         IF(lwp) WRITE(numout,*) '                   ---> '//TRIM(cdname)//' OK'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '                   ---> '//TRIM(cdname)//' OK'
       ELSE
          kiomid = 0               ! return error flag
@@ -564,5 +564,5 @@
          ! trick: defined to 0 to say that dimension variables are defined but not yet written
          iom_file(kiomid)%dimsz(1, 1)  = 0   
-         IF(lwp) WRITE(numout,*) TRIM(clinfo)//' define dimension variables done'
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' define dimension variables done'
       ENDIF
       ! define the data if it is not already done
@@ -639,7 +639,7 @@
             CALL iom_nf90_check(SET_NF90_DEF_VAR_CHUNKING(if90id, idvar, ichunkalg, ichunksz), clinfo)
             CALL iom_nf90_check(SET_NF90_DEF_VAR_DEFLATE(if90id, idvar, ishuffle, ideflate, ideflate_level), clinfo)
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' chunked ok. Chunks sizes: ', ichunksz
-         ENDIF
-         IF(lwp) WRITE(numout,*) TRIM(clinfo)//' defined ok'
+            IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' chunked ok. Chunks sizes: ', ichunksz
+         ENDIF
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' defined ok'
       ELSE
          idvar = kvid
@@ -687,5 +687,5 @@
                CALL iom_nf90_check( NF90_INQUIRE_DIMENSION( if90id, 3, len = iom_file(kiomid)%dimsz(1,3) ), clinfo )
                iom_file(kiomid)%dimsz(1  , 4) = 1   ! unlimited dimension
-               IF(lwp) WRITE(numout,*) TRIM(clinfo)//' write dimension variables done'
+               IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' write dimension variables done'
             ENDIF
          ENDIF
@@ -705,5 +705,5 @@
          IF( iom_file(kiomid)%luld(idvar) )   iom_file(kiomid)%dimsz(iom_file(kiomid)%ndims(idvar), idvar)    &
                &                            = iom_file(kiomid)%dimsz(iom_file(kiomid)%ndims(idvar), idvar) + 1
-         IF(lwp) WRITE(numout,*) TRIM(clinfo)//' written ok'
+         IF(lwp  .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' written ok'
       ENDIF
       !     
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/restart.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/restart.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/IOM/restart.F90	(revision 11782)
@@ -97,5 +97,5 @@
             clpath = TRIM(cn_ocerst_outdir)
             IF( clpath(LEN_TRIM(clpath):) /= '/' ) clpath = TRIM(clpath) // '/'
-            IF(lwp) THEN
+            IF(lwp .AND. nprint > 1) THEN
                WRITE(numout,*)
                IF(.NOT.lwxios) THEN
@@ -225,5 +225,5 @@
              crxios_context = 'nemo_rst'
              IF( .NOT.lxios_set ) THEN
-                 IF(lwp) WRITE(numout,*) 'Enable restart reading by XIOS'
+                 IF(lwp .AND. nprint > 1) WRITE(numout,*) 'Enable restart reading by XIOS'
                  CALL iom_init( crxios_context, ld_tmppatch = .false. )
                  lxios_set = .TRUE.
@@ -232,5 +232,5 @@
          IF( TRIM(Agrif_CFixed()) /= '0' .AND. lrxios) THEN
              CALL iom_init( crxios_context, ld_tmppatch = .false. )
-             IF(lwp) WRITE(numout,*) 'Enable restart reading by XIOS for AGRIF'
+             IF(lwp .AND. nprint > 1) WRITE(numout,*) 'Enable restart reading by XIOS for AGRIF'
              lxios_set = .TRUE.
          ENDIF 
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LBC/lib_mpp.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LBC/lib_mpp.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LBC/lib_mpp.F90	(revision 11782)
@@ -946,5 +946,5 @@
             crname_dlg(n_sequence_dlg) = cdname     ! keep the name of the calling routine
          ENDIF
-      ELSE IF ( ncom_stp == nit000+2*ncom_freq ) THEN
+      ELSE IF ( ncom_stp == nit000+2*ncom_freq .AND. nprint > 1 ) THEN
          CALL ctl_opn( numcom, 'communication_report.txt', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE., narea )
          WRITE(numcom,*) ' '
@@ -1204,5 +1204,5 @@
          &  OPEN(UNIT=knum,FILE='NUL', FORM=cdform, ACCESS=cdacce, STATUS=cdstat                      , ERR=100, IOSTAT=iost )   
       IF( iost == 0 ) THEN
-         IF(ldwp) THEN
+         IF(ldwp .AND. nprint > 2) THEN
             WRITE(kout,*) '     file   : ', TRIM(clfile),' open ok'
             WRITE(kout,*) '     unit   = ', knum
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LBC/mppini.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LBC/mppini.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LBC/mppini.F90	(revision 11782)
@@ -171,5 +171,5 @@
       !!----------------------------------------------------------------------
       !
-      llwrtlay = lwp .OR. ln_ctl .OR. sn_cfctl%l_layout
+      llwrtlay = (lwp.AND.nprint>1) .OR. ln_ctl .OR. sn_cfctl%l_layout
       !
       !  0. read namelists parameters
@@ -194,5 +194,5 @@
       ENDIF
       !
-      IF(lwm)   WRITE( numond, nammpp )
+      IF(lwm  .AND. nprint > 2)   WRITE( numond, nammpp )
 
       ! do we need to take into account bdy_msk?
@@ -517,5 +517,5 @@
       ! 5. Subdomain print
       ! ------------------
-      IF(lwp) THEN
+      IF(lwp .AND. nprint > 1) THEN
          ifreq = 4
          il1 = 1
@@ -656,5 +656,5 @@
       !
       nproc = narea-1
-      IF(lwp) THEN
+      IF(lwp .AND. nprint > 0) THEN
          WRITE(numout,*)
          WRITE(numout,*) '   resulting internal parameters : '
@@ -1204,5 +1204,5 @@
       idid(2) = 2
 
-      IF(lwp) THEN
+      IF(lwp.AND. nprint > 0) THEN
           WRITE(numout,*)
           WRITE(numout,*) 'mpp_init_ioipsl :   iloc  = ', iloc (1), iloc (2)
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LDF/ldfdyn.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LDF/ldfdyn.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LDF/ldfdyn.F90	(revision 11782)
@@ -122,5 +122,5 @@
       READ  ( numnam_cfg, namdyn_ldf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_ldf in configuration namelist' )
-      IF(lwm) WRITE ( numond, namdyn_ldf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_ldf )
 
       IF(lwp) THEN                      ! Parameter print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LDF/ldftra.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LDF/ldftra.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/LDF/ldftra.F90	(revision 11782)
@@ -158,5 +158,5 @@
       READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist' )
-      IF(lwm) WRITE( numond, namtra_ldf )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtra_ldf )
       !
       IF(lwp) THEN                      ! control print
@@ -517,5 +517,5 @@
       READ  ( numnam_cfg, namtra_eiv, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_eiv in configuration namelist' )
-      IF(lwm)  WRITE ( numond, namtra_eiv )
+      IF(lwm .AND. nprint > 2)  WRITE ( numond, namtra_eiv )
 
       IF(lwp) THEN                      ! control print
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/OBS/diaobs.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/OBS/diaobs.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/OBS/diaobs.F90	(revision 11782)
@@ -207,5 +207,5 @@
       READ  ( numnam_cfg, namobs, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namobs in configuration namelist' )
-      IF(lwm) WRITE ( numond, namobs )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namobs )
 
       IF( .NOT.ln_diaobs ) THEN
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/fldread.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/fldread.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/fldread.F90	(revision 11782)
@@ -185,5 +185,5 @@
             CALL fld_init( kn_fsbc, sd(jf) )       ! read each before field (put them in after as they will be swapped)
          END DO
-         IF( lwp ) CALL wgt_print()                ! control print
+         IF( lwp .AND. nprint > 1 ) CALL wgt_print()                ! control print
       ENDIF
       !                                            ! ====================================== !
@@ -287,5 +287,5 @@
             !
             IF( sd(jf)%ln_tint ) THEN              ! temporal interpolation
-               IF(lwp .AND. kt - nit000 <= 100 ) THEN 
+               IF(lwp .AND. kt - nit000 <= 100 .AND. nprint > 1) THEN 
                   clfmt = "('   fld_read: var ', a, ' kt = ', i8, ' (', f9.4,' days), Y/M/D = ', i4.4,'/', i2.2,'/', i2.2," //   &
                      &    "', records b/a: ', i6.4, '/', i6.4, ' (days ', f9.4,'/', f9.4, ')')"
@@ -299,5 +299,5 @@
                sd(jf)%fnow(:,:,:) = ztintb * sd(jf)%fdta(:,:,:,1) + ztinta * sd(jf)%fdta(:,:,:,2)
             ELSE   ! nothing to do...
-               IF(lwp .AND. kt - nit000 <= 100 ) THEN
+               IF(lwp .AND. kt - nit000 <= 100 .AND. nprint > 1) THEN
                   clfmt = "('   fld_read: var ', a, ' kt = ', i8,' (', f9.4,' days), Y/M/D = ', i4.4,'/', i2.2,'/', i2.2," //   &
                      &    "', record: ', i6.4, ' (days ', f9.4, ' <-> ', f9.4, ')')"
@@ -423,5 +423,5 @@
          !
          clfmt = "('   fld_init : time-interpolation for ', a, ' read previous record = ', i6, ' at time = ', f7.2, ' days')"
-         IF(lwp) WRITE(numout, clfmt) TRIM(sdjf%clvar), sdjf%nrec_a(1), REAL(sdjf%nrec_a(2),wp)/rday
+         IF(lwp .AND. nprint > 1) WRITE(numout, clfmt) TRIM(sdjf%clvar), sdjf%nrec_a(1), REAL(sdjf%nrec_a(2),wp)/rday
          !
       ENDIF
@@ -1036,5 +1036,5 @@
                      END DO
                      sd(ju)%rotn(jn) = .TRUE.               ! vector was rotated 
-                     IF( lwp .AND. kt == nit000 )   WRITE(numout,*)   &
+                     IF( lwp .AND. kt == nit000 .AND. nprint > 1 )   WRITE(numout,*)   &
                         &   'fld_read: vector pair ('//TRIM(sd(ju)%clvar)//', '//TRIM(sd(iv)%clvar)//') rotated on to model grid'
                   ENDIF
Index: /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcapr.F90
===================================================================
--- /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcapr.F90	(revision 11781)
+++ /NEMO/branches/2019/dev_r11756_text_output/src/OCE/SBC/sbcapr.F90	(revision 11782)
@@ -76,5 +76,5 @@
       READ  ( numnam_cfg, namsbc_apr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_apr in configuration namelist' )
-      IF(lwm) WRITE ( numond, namsbc_apr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_apr )
       !
       ALLOCATE( sf_apr(1), STAT=ierror )           !* allocate and fill sf_sst (forcing structure) with sn_sst
